[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]



People who built 2.6.8 images against kernel-tree-2.6.8-4 AND enabled CONFIG_INET_TUNNEL=m need to rebuild against kernel-tree-2.6.8-5, where the broken patch has been backed out and the option is no longer available.

the rest of 2.6.8-5 mainly features a new, more logical patch management system which is fully backwards compatible with both Herbert's original implementation and Jens' reimplementation using dpatch, and many sparc fixes.

Anyway, as far as I can tell, the rebuild notice goes for:

* alpha
* amd64
* ia64
* powerpc

I haven't had time to dig into whether any of these have been uploaded yet so it may be a false alarm for some. Everyone, please check your build-dependencies and configs just to make sure.

The symptoms of the broken patch is that depmod will come up with unresolved symbol xfrm4_rcv_encap. This problem could have easily been fixed, but there were other stability/compatibility concerns that pressured Sven, Christoph and I to decide to back this patch out.

-5 should hit incoming in a little while, I will also put it on http://people.debian.org/~joshk/kernel/kernel-source-2.6.8 if I have time.

Thanks and sorry for the inconvenience.

Joshua Kwan

Attachment: signature.asc
Description: OpenPGP digital signature

Reply to: